/*********************************************************************
*                                                                    *          
*                              FLY                                   *
*                           --E#Y#E--				     *
*                         ===MUSCLE===                               *
*                                                                    *
*********************************************************************/
#ifndef FPS_H_
#define FPS_H_
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include <sys/time.h>

//---------------------------------------------------------------------------

/* Class FPS */
class FPS
{
public:
	/* Global Variables */
	struct timeval  tv;
	struct timeval tv0;
	
	struct Counter
	{
		int FramesPerFPS;
		float TimeCounter;
		float LastFrameTimeCounter;
		float dt;
		float fpse;
	}count;

	/* Function */
	void CalculateFPS();
	void InitTimeCounter();
	void UpdateTimeCounter();	
};

//---------------------------------------------------------------------------

#endif
